Skip to main content

Get settings

GET{{server}}/api/v1/smart/settings

This request returns the Smart Ticket feature settings.

Response

  • publicUrl (string): Server Public URL.

  • reservation (object): Reservation settings

    • enabled (boolean): Reservation is enabled.

    • timeLimit (number): Time limit for arriving (in minutes)

    • maxTickets (number): Maximum reserved tickets in branch

    • lastBeforeClose (number): Last time for reservation before branch closing.

    • maxDistance (number): Maximum distance for GPS arriving (in meters).

  • dispenserProfiles (array): Ticket Dispenser profile schedule.

    • profile (string): Profile key

    • day (number): Day of week (0 - Sunday, 7 - Saturday)

    • start (number): Start time in HHmm

    • end (number): End time in HHmm

  • feedbackProfiles (array): Customer Feedback profile schedule. The structure is same as dispenserProfiles.

  • notifications.vapidPublicKey (string): VAPID Public key for Push Notification registration.

  • customCss (string): Custom CSS content.

  • commonStyling (object): Smart Ticket styling properties.

Request​

Authorization​

HeaderValue
AuthorizationSmartToken {{smartToken}}

Headers​

KeyValue
Acceptapplication/json

Code snippets​

curl -X GET '{{server}}/api/v1/smart/settings' \
-H 'Accept: application/json' \
-H 'Authorization: SmartToken {{smartToken}}'

Examples (2)​

Example request
GET{{server}}/api/v1/smart/settings
Headers (1)
KeyValue
Acceptapplication/json
Example response 200 Ok
Response headers (9)
KeyValue
Access-Control-Expose-Headers*
Cache-Controlno-store, no-cache, must-revalidate
Access-Control-Allow-Origin*
Access-Control-Allow-MethodsPOST, PUT, GET, OPTIONS, DELETE
Access-Control-Allow-Credentialstrue
Content-Length2522
Access-Control-Max-Age86400
Access-Control-Allow-HeadersContent-Type, Authorization, X-Requested-With
Content-Typeapplication/json;charset=utf-8
Body
{
"publicUrl": "https://demo-v7.q-net.pro/smart.html",
"validityTime": 10,
"reservation": {
"enabled": true,
"timeLimit": 30,
"maxTickets": null,
"lastBeforeClose": 20
},
"dispenserProfiles": [
{
"profile": "00000000-0000-4000-0008-000000000001",
"day": 0,
"start": "0000",
"end": "2400"
},
{
"profile": "00000000-0000-4000-0008-000000000001",
"day": 1,
"start": "0000",
"end": "2400"
},
{
"profile": "00000000-0000-4000-0008-000000000001",
"day": 2,
"start": "0000",
"end": "2400"
},
{
"profile": "00000000-0000-4000-0008-000000000001",
"day": 3,
"start": "0000",
"end": "2400"
},
{
"profile": "00000000-0000-4000-0008-000000000001",
"day": 4,
"start": "0000",
"end": "2400"
},
{
"profile": "00000000-0000-4000-0008-000000000001",
"day": 5,
"start": "0000",
"end": "2400"
},
{
"profile": "00000000-0000-4000-0008-000000000001",
"day": 6,
"start": "0000",
"end": "2400"
}
],
"feedbackProfiles": [
{
"profile": "00000000-0000-4000-0016-000000000001",
"day": 0,
"start": "0000",
"end": "2400"
},
{
"profile": "00000000-0000-4000-0016-000000000001",
"day": 1,
"start": "0000",
"end": "2400"
},
{
"profile": "00000000-0000-4000-0016-000000000001",
"day": 2,
"start": "0000",
"end": "2400"
},
{
"profile": "00000000-0000-4000-0016-000000000001",
"day": 3,
"start": "0000",
"end": "2400"
},
{
"profile": "00000000-0000-4000-0016-000000000001",
"day": 4,
"start": "0000",
"end": "2400"
},
{
"profile": "00000000-0000-4000-0016-000000000001",
"day": 5,
"start": "0000",
"end": "2400"
},
{
"profile": "00000000-0000-4000-0016-000000000001",
"day": 6,
"start": "0000",
"end": "2400"
}
],
"notifications": {
"vapidPublicKey": "BEgIZRINGhfzPglciyNI0i0oTxncrYwFAhb6QKMXR266Xb6Ky4xoOYtEJJM6A0fJGI27bYPnsxkmWzEfULjGT8c"
},
"customCss": null,
"commonStyling": {
"colorScheme": "default",
"backgroundImage": null,
"backgroundSize": "auto",
"logoImage": null,
"logoSize": "auto",
"primaryColor": "#4e80a6",
"primaryColorGradient": true,
"pageColor": "#7e7e7e",
"pageColorGradient": true,
"headerColor": "#454141",
"headerColorGradient": true,
"buttonColor": "#2f2d2d",
"buttonColorGradient": true,
"buttonText": "#FFFFFF",
"textColor": "#FFFFFF",
"secondaryColor": "#fab000"
}
}